Create ACH Authorization

Creates an unsigned ACH authorization document for a specified facility. This is a required step before submitting a payment if repayment ACH is enabled. The user must agree to ACH withdrawals before Pier can initiate payments. This document is automatically signed by the user when you call POST /payments. You must create a new ACH authorization document for each payment.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

facility_idstringRequired

Response

This endpoint returns an object.
document_urlstring
The URL where the document can be accessed.
idstring
The unique identifier for the document.

Errors

400
Invalid Input Error
401
Unauthorized Error
404
Facility Not Found Error
429
Rate Limit Error
500
Server Error